Package org.eclipse.emf.cdo.spi.server

# Class RepositoryActivityLog.Rolling

java.lang.Object
org.eclipse.net4j.util.event.Notifier
org.eclipse.net4j.util.lifecycle.Lifecycle
org.eclipse.net4j.util.lifecycle.LifecycleHook<IRepository>
org.eclipse.emf.cdo.spi.server.RepositoryActivityLog
org.eclipse.emf.cdo.spi.server.RepositoryActivityLog.Rolling

All Implemented Interfaces:
  `org.eclipse.net4j.util.event.INotifier`, `org.eclipse.net4j.util.event.INotifier.INotifier2`, `org.eclipse.net4j.util.lifecycle.IDeactivateable`, `org.eclipse.net4j.util.lifecycle.ILifecycle`, `org.eclipse.net4j.util.lifecycle.ILifecycle.DeferrableActivation`, `org.eclipse.net4j.util.om.log.Log`

Enclosing class:
  RepositoryActivityLog

public static class RepositoryActivityLog.Rolling extends RepositoryActivityLog

Since:
  4.7
Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`RepositoryActivityLog.Rolling.Factory`

## Nested classes/interfaces inherited from class org.eclipse.emf.cdo.spi.server.RepositoryActivityLog

`RepositoryActivityLog.Rolling`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle

`org.eclipse.net4j.util.lifecycle.ILifecycle.DeferrableActivation`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`org.eclipse.net4j.util.event.INotifier.INotifier2`

## Field Summary

### Fields inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle

`USE_LABEL`

## Constructor Summary

Constructors
Constructor
Description
`Rolling(String logFile, long logSize, boolean append)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`delegateChanged(IRepository oldRepository, IRepository newRepository)`
`protected void`
`doActivate()`
`protected void`
`doDeactivate()`
`void`
`log(String message)`

### Methods inherited from class org.eclipse.emf.cdo.spi.server.RepositoryActivityLog

`commitFinished, commitStarted, delegateAboutToDeactivate, delegateActivated, formatSession, formatUser, formatView, getRepository, hookDelegate, sessionClosed, sessionOpened, setRepository, transactionClosed, transactionOpened, unhookDelegate, viewClosed, viewOpened`

### Methods inherited from class org.eclipse.net4j.util.lifecycle.LifecycleHook

`delegateAboutToActivate, delegateDeactivated, delegateEvent, getDelegate, hookInactiveDelegates, setDelegate`

### Methods inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle

`activate, checkActive, checkArg, checkArg, checkInactive, checkNull, checkState, checkState, deactivate, deferredActivate, doAfterActivate, doBeforeActivate, doBeforeDeactivate, dump, getLifecycleState, isActive, isDeferredActivation, toString`

### Methods inherited from class org.eclipse.net4j.util.event.Notifier

`addListener, addUniqueListener, fireEvent, fireEvent, fireEvent, fireThrowable, firstListenerAdded, getListeners, getNotificationService, hasListener, hasListeners, lastListenerRemoved, listenerAdded, listenerRemoved, removeListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`

## Constructor Details

### Rolling

public Rolling(String logFile, long logSize, boolean append)

## Method Details

### log

public void log(String message)

### delegateChanged

protected void delegateChanged(IRepository oldRepository, IRepository newRepository)

Overrides:
  `delegateChanged` in class `org.eclipse.net4j.util.lifecycle.LifecycleHook<IRepository>`

### doActivate

protected void doActivate() throws Exception

Overrides:
  `doActivate` in class `org.eclipse.net4j.util.lifecycle.LifecycleHook<IRepository>`
Throws:
  `Exception`

### doDeactivate

protected void doDeactivate() throws Exception

Overrides:
  `doDeactivate` in class `org.eclipse.net4j.util.lifecycle.LifecycleHook<IRepository>`
Throws:
  `Exception`